# stream-contract.theme.yml — Intelego Classic
# Familie: intelego | Theme: intelego-classic
# Quelle: intelego.solutions (live extract 2026-04)
# ---
meta:
  theme_family: intelego
  theme_id: intelego-classic
  version: 1.0.0
  source_key: intelego-net-live-extract-2026-04
  ip_review_gate: true
  status: active
  language_channel: AGT
  note: Klassisches Intelego-Branding, direkt von www.intelego.net extrahiert
branding:
  primary_logo_url: assets/brand/intelego-logo.png
  primary_favicon_url: https://www.intelego.net/wp-content/uploads/2024/02/cropped-intelego-icon-1-32x32.png
streams:
  raw_theme_intelego_classic_v1:
    source: https://www.intelego.net
    source_key: intelego-net-live-extract-2026-04
    schema:
      color_palette: hex-set
      typography: css-font-stack
      layout_system: css-grid-definition
      brand_assets: logo-png-webp
  canonical_theme_intelego_classic_v1:
    normalized_from: raw_theme_intelego_classic_v1
    schema:
      design_tokens: w3c-dtcg-aligned
      component_library: normalized
      color_semantic_map: iio-token-system
      responsive_breakpoints:
      - 320
      - 768
      - 1200
      - 1920
transforms:
  intelego_classic_source_to_canonical:
    input: raw_theme_intelego_classic_v1
    output: canonical_theme_intelego_classic_v1
    rules:
    - normalize_color_syntax: hex → rgb-var
    - abstract_typography: Inter → iio-font-base
    - map_brand_colors: anthrazit → iio-accent
    - preserve_brand_source_trace: intelego-net-live-2026-04
joins:
  theme_intelego_classic_complete:
    inputs:
    - canonical_theme_intelego_classic_v1
    purpose: Rendering-ready Intelego Classic theme for IIO Manual
    output_schema:
      css_variables: iio-standardized
      component_specs: complete
evidence:
  ingestion_date: "2026-04-27"
  ingested_by: "agent/copilot-2026-04-27"
  source_verified: true
  css_generated: true
  css_generated_at: "2026-04-28"
  rg007_applicable: true
  rg007_evidence: null
